Date: 2018-10-23T10:32:54+00:00

slepc-3.10.1 2018-10-23
Report Typos and Errors

    #  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    #  SLEPc - Scalable Library for Eigenvalue Problem Computations
    #  Copyright (c) 2002-2018, Universitat Politecnica de Valencia, Spain
    #
    #  This file is part of SLEPc.
    #  SLEPc is distributed under a 2-clause BSD license (see LICENSE).
    #  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    #
    #requiresdefine   'PETSC_HAVE_FORTRAN'
    #requiresdefine   'PETSC_USING_F90'
    #
    #   Makes Fortran module functions from *.h90 files in include/slepc/finclude
    #
    ALL: buildmod_slepc
    speciallib: buildmod_slepc
    specialfastlib: buildmod_slepc
    SPECIALLIB     = yes
    SPECIALFASTLIB = yes

    CFLAGS     =
    FFLAGS     =
    SOURCEC    =
    SOURCEF    = slepcnepmod.F
    SOURCEH    = slepcnep.h slepcnep.h90
    LIBBASE    = libslepcnep
    MANSEC     = NEP
    LOCDIR     = src/nep/f90-mod/
    CLEANFILES = *.mod

    include ${SLEPC_DIR}/lib/slepc/conf/slepc_common